Bug 486348 - Unexplained delays, most obvious in kmail
Unexplained delays, most obvious in kmail
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kdebase-workspace (Show other bugs)
10
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-19 08:43 EST by Anne
Modified: 2009-05-26 09:17 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-26 09:17:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anne 2009-02-19 08:43:35 EST
Description of problem:
Unexplained delays are seen frequently in many applications, the most obvious being when sending mail from kmail.  There the message sits for 8-15 seconds before departing.

This is on an Acer Aspire One, which uses an Intel 945 graphics device.


Version-Release number of selected component (if applicable):
The problem has persisted through several update cycles.

How reproducible:
Constant

Steps to Reproduce:
1.
2.
3.
  
Actual results:
Screen refreshes are slow.  Applications stutter.  KMail goes to sleep for several seconds

Expected results:
Smooth operation

Additional info:
Although I use only one Desktop Effect (Dim inactive windows) I changed the compositing setting from OpenGL to XRender.  The problems have decreased noticeably, but not disappeared.
Comment 1 Anne 2009-02-19 10:41:14 EST
I forgot half of the story.  During the pauses htop shows X and KWin as the top two resource users, with KMail low in the list.  With OpenGL enabled they were taking around 25% cpu each.  Since the change to XRender they use around 10% and 6% respectively.
Comment 2 Steven M. Parrish 2009-03-16 20:32:17 EDT
Since the issue seems to resolve itself when you disable OpenGL it sounds like a driver issue.  rdieter, kevin_kofler agree?  comments?
Comment 3 Kevin Kofler 2009-03-17 01:15:41 EDT
Could be, but it's a really bizarre issue, so it's hard to figure out what's really going on here.

Should we reassign it to xorg-x11-drv-i810? But I'm not sure they'll be able to do much with this information. Maybe the upstream KWin developers are most likely to be able to figure out what's going on, and if it's a driver issue, pinpoint where exactly in the driver the fault is.
Comment 4 Steven M. Parrish 2009-04-27 13:57:18 EDT
Is this still an issue with the current release.  If no response will close in 30 days.
Comment 5 Steven M. Parrish 2009-05-26 09:17:08 EDT
Closing as INSUFFICIENT_DATA.  Please feel free to reopen if this is still and issue and you have additional data to provide.

Note You need to log in before you can comment on or make changes to this bug.